package com.chinaitop.depot.customer.model;

public class BusinessCustomer {
    private Integer id;

    private Integer classify;

    private String customerNumber;

    private String name;

    private String address;

    private String mobile;

    private String identification;

    private String email;

    private String remark;

    private Integer generalProperty;

    private String invoiceTitle;

    private Integer bankName;

    private String accountName;

    private String accountNumber;

    private String plantAcreage;

    private String subsidy;

    private String customerGroupId;

    private String customerGroupName;

    private String district;

    private String businessRegistNum;

    private String legalPerson;

    private String linkman;

    private String registeredCapital;

    private String administrativeDivision;

    private String orgCode;

    private String enterprisePhone;

    private String taxpayerIdNum;

    private Integer isHaveBadrecord;

    private Integer isInBlacklist;

    private String socialCreditCode;

    private Integer orgId;

    private Integer province;

    private Integer city;

    private Integer county;

    private String lxrsfzh;

    private String yzbm;

    /**
     * 开户行号
     */
    private String khhh;

    private String sfwz;

    /**
     * 
     * @return id 
     */
    public Integer getId() {
        return id;
    }

    /**
     * 
     * @param id 
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 客户分类(个人客户，企业客户)
     * @return classify 客户分类(个人客户，企业客户)
     */
    public Integer getClassify() {
        return classify;
    }

    /**
     * 客户分类(个人客户，企业客户)
     * @param classify 客户分类(个人客户，企业客户)
     */
    public void setClassify(Integer classify) {
        this.classify = classify;
    }

    /**
     * 客户编号
     * @return customer_number 客户编号
     */
    public String getCustomerNumber() {
        return customerNumber;
    }

    /**
     * 客户编号
     * @param customerNumber 客户编号
     */
    public void setCustomerNumber(String customerNumber) {
        this.customerNumber = customerNumber == null ? null : customerNumber.trim();
    }

    /**
     * 客户姓名
     * @return name 客户姓名
     */
    public String getName() {
        return name;
    }

    /**
     * 客户姓名
     * @param name 客户姓名
     */
    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    /**
     * 客户联系地址
     * @return address 客户联系地址
     */
    public String getAddress() {
        return address;
    }

    /**
     * 客户联系地址
     * @param address 客户联系地址
     */
    public void setAddress(String address) {
        this.address = address == null ? null : address.trim();
    }

    /**
     * 手机
     * @return mobile 手机
     */
    public String getMobile() {
        return mobile;
    }

    /**
     * 手机
     * @param mobile 手机
     */
    public void setMobile(String mobile) {
        this.mobile = mobile == null ? null : mobile.trim();
    }

    /**
     * 身份证
     * @return identification 身份证
     */
    public String getIdentification() {
        return identification;
    }

    /**
     * 身份证
     * @param identification 身份证
     */
    public void setIdentification(String identification) {
        this.identification = identification == null ? null : identification.trim();
    }

    /**
     * 电子邮件
     * @return email 电子邮件
     */
    public String getEmail() {
        return email;
    }

    /**
     * 电子邮件
     * @param email 电子邮件
     */
    public void setEmail(String email) {
        this.email = email == null ? null : email.trim();
    }

    /**
     * 客户描述
     * @return remark 客户描述
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 客户描述
     * @param remark 客户描述
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 企业性质
     * @return general_property 企业性质
     */
    public Integer getGeneralProperty() {
        return generalProperty;
    }

    /**
     * 企业性质
     * @param generalProperty 企业性质
     */
    public void setGeneralProperty(Integer generalProperty) {
        this.generalProperty = generalProperty;
    }

    /**
     * 开票信息（发票抬头）
     * @return invoice_title 开票信息（发票抬头）
     */
    public String getInvoiceTitle() {
        return invoiceTitle;
    }

    /**
     * 开票信息（发票抬头）
     * @param invoiceTitle 开票信息（发票抬头）
     */
    public void setInvoiceTitle(String invoiceTitle) {
        this.invoiceTitle = invoiceTitle == null ? null : invoiceTitle.trim();
    }

    /**
     * 开户行名称
     * @return bank_name 开户行名称
     */
    public Integer getBankName() {
        return bankName;
    }

    /**
     * 开户行名称
     * @param bankName 开户行名称
     */
    public void setBankName(Integer bankName) {
        this.bankName = bankName;
    }

    /**
     * 银行账户名称
     * @return account_name 银行账户名称
     */
    public String getAccountName() {
        return accountName;
    }

    /**
     * 银行账户名称
     * @param accountName 银行账户名称
     */
    public void setAccountName(String accountName) {
        this.accountName = accountName == null ? null : accountName.trim();
    }

    /**
     * 开户账号
     * @return account_number 开户账号
     */
    public String getAccountNumber() {
        return accountNumber;
    }

    /**
     * 开户账号
     * @param accountNumber 开户账号
     */
    public void setAccountNumber(String accountNumber) {
        this.accountNumber = accountNumber == null ? null : accountNumber.trim();
    }

    /**
     * 种植面积
     * @return plant_acreage 种植面积
     */
    public String getPlantAcreage() {
        return plantAcreage;
    }

    /**
     * 种植面积
     * @param plantAcreage 种植面积
     */
    public void setPlantAcreage(String plantAcreage) {
        this.plantAcreage = plantAcreage == null ? null : plantAcreage.trim();
    }

    /**
     * 每亩的价外补贴数量(公斤)
     * @return subsidy 每亩的价外补贴数量(公斤)
     */
    public String getSubsidy() {
        return subsidy;
    }

    /**
     * 每亩的价外补贴数量(公斤)
     * @param subsidy 每亩的价外补贴数量(公斤)
     */
    public void setSubsidy(String subsidy) {
        this.subsidy = subsidy == null ? null : subsidy.trim();
    }

    /**
     * 客户分组编码
     * @return customer_group_id 客户分组编码
     */
    public String getCustomerGroupId() {
        return customerGroupId;
    }

    /**
     * 客户分组编码
     * @param customerGroupId 客户分组编码
     */
    public void setCustomerGroupId(String customerGroupId) {
        this.customerGroupId = customerGroupId == null ? null : customerGroupId.trim();
    }

    /**
     * 客户分组名称
     * @return customer_group_name 客户分组名称
     */
    public String getCustomerGroupName() {
        return customerGroupName;
    }

    /**
     * 客户分组名称
     * @param customerGroupName 客户分组名称
     */
    public void setCustomerGroupName(String customerGroupName) {
        this.customerGroupName = customerGroupName == null ? null : customerGroupName.trim();
    }

    /**
     * 客户所属地区名称
     * @return district 客户所属地区名称
     */
    public String getDistrict() {
        return district;
    }

    /**
     * 客户所属地区名称
     * @param district 客户所属地区名称
     */
    public void setDistrict(String district) {
        this.district = district == null ? null : district.trim();
    }

    /**
     * 工商登记编号
     * @return business_regist_num 工商登记编号
     */
    public String getBusinessRegistNum() {
        return businessRegistNum;
    }

    /**
     * 工商登记编号
     * @param businessRegistNum 工商登记编号
     */
    public void setBusinessRegistNum(String businessRegistNum) {
        this.businessRegistNum = businessRegistNum == null ? null : businessRegistNum.trim();
    }

    /**
     * 法人
     * @return legal_person 法人
     */
    public String getLegalPerson() {
        return legalPerson;
    }

    /**
     * 法人
     * @param legalPerson 法人
     */
    public void setLegalPerson(String legalPerson) {
        this.legalPerson = legalPerson == null ? null : legalPerson.trim();
    }

    /**
     * 联系人
     * @return linkman 联系人
     */
    public String getLinkman() {
        return linkman;
    }

    /**
     * 联系人
     * @param linkman 联系人
     */
    public void setLinkman(String linkman) {
        this.linkman = linkman == null ? null : linkman.trim();
    }

    /**
     * 注册资本
     * @return registered_capital 注册资本
     */
    public String getRegisteredCapital() {
        return registeredCapital;
    }

    /**
     * 注册资本
     * @param registeredCapital 注册资本
     */
    public void setRegisteredCapital(String registeredCapital) {
        this.registeredCapital = registeredCapital == null ? null : registeredCapital.trim();
    }

    /**
     * 所属行政区划
     * @return administrative_division 所属行政区划
     */
    public String getAdministrativeDivision() {
        return administrativeDivision;
    }

    /**
     * 所属行政区划
     * @param administrativeDivision 所属行政区划
     */
    public void setAdministrativeDivision(String administrativeDivision) {
        this.administrativeDivision = administrativeDivision == null ? null : administrativeDivision.trim();
    }

    /**
     * 组织机构代码
     * @return org_code 组织机构代码
     */
    public String getOrgCode() {
        return orgCode;
    }

    /**
     * 组织机构代码
     * @param orgCode 组织机构代码
     */
    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode == null ? null : orgCode.trim();
    }

    /**
     * 企业电话
     * @return enterprise_phone 企业电话
     */
    public String getEnterprisePhone() {
        return enterprisePhone;
    }

    /**
     * 企业电话
     * @param enterprisePhone 企业电话
     */
    public void setEnterprisePhone(String enterprisePhone) {
        this.enterprisePhone = enterprisePhone == null ? null : enterprisePhone.trim();
    }

    /**
     * 纳税人识别号
     * @return taxpayer_id_num 纳税人识别号
     */
    public String getTaxpayerIdNum() {
        return taxpayerIdNum;
    }

    /**
     * 纳税人识别号
     * @param taxpayerIdNum 纳税人识别号
     */
    public void setTaxpayerIdNum(String taxpayerIdNum) {
        this.taxpayerIdNum = taxpayerIdNum == null ? null : taxpayerIdNum.trim();
    }

    /**
     * 是否有不良记录
     * @return is_have_badrecord 是否有不良记录
     */
    public Integer getIsHaveBadrecord() {
        return isHaveBadrecord;
    }

    /**
     * 是否有不良记录
     * @param isHaveBadrecord 是否有不良记录
     */
    public void setIsHaveBadrecord(Integer isHaveBadrecord) {
        this.isHaveBadrecord = isHaveBadrecord;
    }

    /**
     * 是否在黑名单
     * @return is_in_blacklist 是否在黑名单
     */
    public Integer getIsInBlacklist() {
        return isInBlacklist;
    }

    /**
     * 是否在黑名单
     * @param isInBlacklist 是否在黑名单
     */
    public void setIsInBlacklist(Integer isInBlacklist) {
        this.isInBlacklist = isInBlacklist;
    }

    /**
     * 社会信用代码
     * @return social_credit_code 社会信用代码
     */
    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    /**
     * 社会信用代码
     * @param socialCreditCode 社会信用代码
     */
    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode == null ? null : socialCreditCode.trim();
    }

    /**
     * 
     * @return org_id 
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 
     * @param orgId 
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public Integer getProvince() {
        return province;
    }

    public void setProvince(Integer province) {
        this.province = province;
    }

    public Integer getCity() {
        return city;
    }

    public void setCity(Integer city) {
        this.city = city;
    }

    public Integer getCounty() {
        return county;
    }

    public void setCounty(Integer county) {
        this.county = county;
    }

    public String getLxrsfzh() {
        return lxrsfzh;
    }

    public void setLxrsfzh(String lxrsfzh) {
        this.lxrsfzh = lxrsfzh;
    }

    public String getYzbm() {
        return yzbm;
    }

    public void setYzbm(String yzbm) {
        this.yzbm = yzbm == null ? null : yzbm.trim();
    }

    /**
     * 开户行号
     * @return
     */
	public String getKhhh() {
		return khhh;
	}

	/**
	 * 开户行号
	 * @param khhh
	 */
	public void setKhhh(String khhh) {
		this.khhh = khhh;
	}

	/**
	 * 数据是否完整(0:完整,1:不完整)
	 * @return
	 */
	public String getSfwz() {
		return sfwz;
	}

	/**
	 * 数据是否完整(0:完整,1:不完整)
	 * @param sfwz
	 */
	public void setSfwz(String sfwz) {
		this.sfwz = sfwz;
	}

}