package com.chinaitop.depot.customer.service;

import java.util.List;

import com.chinaitop.depot.customer.model.BusinessCustomerBadrecord;
import com.chinaitop.depot.customer.model.BusinessCustomerBadrecordExample;


public interface BusinessCustomerBadrecordService {
	
	List<BusinessCustomerBadrecord> queryByExample(BusinessCustomerBadrecordExample example);
	
	BusinessCustomerBadrecord findById(Integer id);
	
	void add(BusinessCustomerBadrecord customerBadrecord);
	
	void update(BusinessCustomerBadrecord customerBadrecord);
	
	void remove(Integer id);

    /**
	 * 联合查询客户不良记录数据
     * @param customerBadrecord
     * @return
     */
    List<BusinessCustomerBadrecord> selectBadreocrdJoinBusinessCustomer(BusinessCustomerBadrecord customerBadrecord);
    
    List<BusinessCustomerBadrecord> selectBadreocrdJoinBusinessCustomerEdit(BusinessCustomerBadrecord customerBadrecord);

}
