package com.chinaitop.depot.grainAnalysis.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class GrainAnalysisAbnormal {
    private Integer id;

    /**
     * 异常情况类型
     */
    private String ycqklx;

    /**
     * 异常情况部位
     */
    private String ycqkbw;

    /**
     * 异常情况范围
     */
    private String ycqkfw;

    /**
     * 异常情况粮温
     */
    private String ycqklw;

    /**
     * 异常情况水分
     */
    private String ycqksf;

    /**
     * 四无检查鼠雀情况
     */
    private String swjcqsqk;

    /**
     * 四无检查害虫情况
     */
    private String swjchcqk;

    /**
     * 四无检查变质情况
     */
    private String swjcbzqk;

    /**
     * 四无检查事故情况
     */
    private String swjcsgqk;

    /**
     * 处理方案或处理效
     */
    private String clfahclxg;

    private Integer grainAnalysisId;

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date jcsj;

    /**
     * null
     * @return id null
     */
    public Integer getId() {
        return id;
    }

    /**
     * null
     * @param id null
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * null
     * @return ycqklx null
     */
    public String getYcqklx() {
        return ycqklx;
    }

    /**
     * null
     * @param ycqklx null
     */
    public void setYcqklx(String ycqklx) {
        this.ycqklx = ycqklx == null ? null : ycqklx.trim();
    }

    /**
     * null
     * @return ycqkbw null
     */
    public String getYcqkbw() {
        return ycqkbw;
    }

    /**
     * null
     * @param ycqkbw null
     */
    public void setYcqkbw(String ycqkbw) {
        this.ycqkbw = ycqkbw == null ? null : ycqkbw.trim();
    }

    /**
     * null
     * @return ycqkfw null
     */
    public String getYcqkfw() {
        return ycqkfw;
    }

    /**
     * null
     * @param ycqkfw null
     */
    public void setYcqkfw(String ycqkfw) {
        this.ycqkfw = ycqkfw == null ? null : ycqkfw.trim();
    }

    /**
     * null
     * @return ycqklw null
     */
    public String getYcqklw() {
        return ycqklw;
    }

    /**
     * null
     * @param ycqklw null
     */
    public void setYcqklw(String ycqklw) {
        this.ycqklw = ycqklw == null ? null : ycqklw.trim();
    }

    /**
     * null
     * @return ycqksf null
     */
    public String getYcqksf() {
        return ycqksf;
    }

    /**
     * null
     * @param ycqksf null
     */
    public void setYcqksf(String ycqksf) {
        this.ycqksf = ycqksf == null ? null : ycqksf.trim();
    }

    /**
     * null
     * @return swjcqsqk null
     */
    public String getSwjcqsqk() {
        return swjcqsqk;
    }

    /**
     * null
     * @param swjcqsqk null
     */
    public void setSwjcqsqk(String swjcqsqk) {
        this.swjcqsqk = swjcqsqk == null ? null : swjcqsqk.trim();
    }

    /**
     * null
     * @return swjchcqk null
     */
    public String getSwjchcqk() {
        return swjchcqk;
    }

    /**
     * null
     * @param swjchcqk null
     */
    public void setSwjchcqk(String swjchcqk) {
        this.swjchcqk = swjchcqk == null ? null : swjchcqk.trim();
    }

    /**
     * null
     * @return swjcbzqk null
     */
    public String getSwjcbzqk() {
        return swjcbzqk;
    }

    /**
     * null
     * @param swjcbzqk null
     */
    public void setSwjcbzqk(String swjcbzqk) {
        this.swjcbzqk = swjcbzqk == null ? null : swjcbzqk.trim();
    }

    /**
     * null
     * @return swjcsgqk null
     */
    public String getSwjcsgqk() {
        return swjcsgqk;
    }

    /**
     * null
     * @param swjcsgqk null
     */
    public void setSwjcsgqk(String swjcsgqk) {
        this.swjcsgqk = swjcsgqk == null ? null : swjcsgqk.trim();
    }

    /**
     * null
     * @return clfahclxg null
     */
    public String getClfahclxg() {
        return clfahclxg;
    }

    /**
     * null
     * @param clfahclxg null
     */
    public void setClfahclxg(String clfahclxg) {
        this.clfahclxg = clfahclxg == null ? null : clfahclxg.trim();
    }

    /**
     * null
     * @return grain_analysis_id null
     */
    public Integer getGrainAnalysisId() {
        return grainAnalysisId;
    }

    /**
     * null
     * @param grainAnalysisId null
     */
    public void setGrainAnalysisId(Integer grainAnalysisId) {
        this.grainAnalysisId = grainAnalysisId;
    }

    /**
     * null
     * @return jcsj null
     */
    public Date getJcsj() {
        return jcsj;
    }

    /**
     * null
     * @param jcsj null
     */
    public void setJcsj(Date jcsj) {
        this.jcsj = jcsj;
    }
}