package com.chinaitop.depot.grainAnalysis.service;

import com.chinaitop.depot.grainAnalysis.model.GrainAnalysis;
import com.chinaitop.depot.grainAnalysis.model.GrainAnalysisAbnormal;
import com.chinaitop.depot.grainAnalysis.model.GrainAnalysisAbnormalExample;
import com.chinaitop.depot.grainAnalysis.model.GrainAnalysisExample;
import com.chinaitop.depot.keeperAccount.model.StorageAccountRecord;
import com.chinaitop.depot.keeperAccount.model.StorageAccountRecordExample;

import javax.servlet.http.HttpServletRequest;
import java.text.ParseException;
import java.util.List;
import java.util.Map;

public interface GrainAnalysisService {

	List<GrainAnalysis> getList(GrainAnalysisExample example);

	void save(GrainAnalysis grainAnalysisAbnormal);

	void update(GrainAnalysis grainAnalysisAbnormal);

    GrainAnalysis getById(Integer id);

	List<GrainAnalysis> getMonthAnalysis(Integer houseId, Integer jcnf, Integer jcjd, Integer orgId);

	List<GrainAnalysis> getWeekAnalysis(Integer houseId, Integer jcnf, Integer jcyf, Integer orgId) throws ParseException;
}
