package com.chinaitop.depot.grainAnalysis.service.impl;

import com.chinaitop.depot.grainAnalysis.mapper.GrainAnalysisAbnormalMapper;
import com.chinaitop.depot.grainAnalysis.model.GrainAnalysisAbnormal;
import com.chinaitop.depot.grainAnalysis.model.GrainAnalysisAbnormalExample;
import com.chinaitop.depot.grainAnalysis.service.GrainAnalysisAbnormalService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class GrainAnalysisAbnormalServiceImpl implements GrainAnalysisAbnormalService {

	@Resource
	private GrainAnalysisAbnormalMapper grainAnalysisAbnormalMapper;

	@Override
	public List<GrainAnalysisAbnormal> getList(GrainAnalysisAbnormalExample example) {
		return grainAnalysisAbnormalMapper.selectByExample(example);
	}

	@Override
	public void save(GrainAnalysisAbnormal grainAnalysisAbnormal) {
		grainAnalysisAbnormalMapper.insert(grainAnalysisAbnormal);
	}

	@Override
	public void update(GrainAnalysisAbnormal grainAnalysisAbnormal) {
		grainAnalysisAbnormalMapper.updateByPrimaryKey(grainAnalysisAbnormal);
	}
}
