package com.chinaitop.depot.unissoft.serviceconfig;

import org.apache.cxf.Bus;
import org.apache.cxf.bus.spring.SpringBus;
import org.apache.cxf.jaxws.EndpointImpl;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import com.chinaitop.depot.unissoft.webservice.ProfitlossPassService;
import com.chinaitop.depot.unissoft.webservice.ProfitlossPassServiceImpl;

import javax.xml.ws.Endpoint;

@Configuration
public class CxfConfig {
   
    @Bean(name = Bus.DEFAULT_BUS_ID)
    public SpringBus springBus() {
        return new SpringBus();
    }


    //损溢单
    @Bean
    public ProfitlossPassService profitlossPassService() {
        return new ProfitlossPassServiceImpl();
    }
    @Bean
    public Endpoint uploadNoticeData() {
        EndpointImpl endpoint = new EndpointImpl(springBus(), profitlossPassService());
        endpoint.publish("/uploadProfitlossData");
        return endpoint;
    }

}
