package com.chinaitop.depot.utils;

public enum AuditType {
	
	//0待提交，1仓储审批中2质检审批3统计审批4会计审批5库领导审批，6同意，7驳回，8拒绝
    UNSUBMIT("待提交", 0),  //0保存
    AUDIT1("仓储部经理审批", 1),    //1仓储部经理审批
    AUDIT2("质检部经理审批", 2),    //2质检部经理审批
    AUDIT3("统计部经理审批", 3),          //3统计审批
    AUDIT4("会计部经理审批", 4),    //4会计审批
    AUDIT5("库领导审批", 5),    //5库领导审批
    AGREE("同意", 6),     //6同意
    REJECT("驳回", 7),     //7驳回
    REFUSE("拒绝", 8);     //8拒绝
	
	private String auditName;
	private Integer auditCode;
    public String getAuditName() {
        return auditName;
    }
    public void setAuditName(String auditName) {
        this.auditName = auditName;
    }
    public Integer getAuditCode() {
        return auditCode;
    }
    public void setAuditCode(Integer auditCode) {
        this.auditCode = auditCode;
    }
    private AuditType(String auditName, Integer auditCode) {
        this.auditName = auditName;
        this.auditCode = auditCode;
    }
	
}
