package com.chinaitop.depot.keeperAccount.service;

import com.chinaitop.depot.keeperAccount.model.StorageKeepVoucher;

import java.util.List;

public interface StorageKeepVoucherService {

    /**
     * 查询
     * @param ch 仓房ID
     * @param hwh 货位ID
     * @param orgId 组织机构ID
     * @param yDataid 对应出入库数据fcbgz表的ID
     * @return list集合
     * @throws Exception
     */
    public List<StorageKeepVoucher> getList(Integer ch, Integer hwh, Integer orgId, String yDataid) throws Exception;

    /**
     * 按ID查询一条数据
     * @param id 数据唯一ID
     * @return 一条数据对象
     * @throws Exception
     */
    public StorageKeepVoucher findByIdCondition(String id) throws Exception;

    /**
     * 更新数据对象
     * @param storageKeepVoucher 数据对象
     * @throws Exception
     */
    public void addOrUpdate(StorageKeepVoucher storageKeepVoucher) throws Exception;
}
