package com.chinaitop.depot.profitlossStatement.mapper;

import com.chinaitop.depot.profitlossStatement.model.StorageProfitlossStatement;
import com.chinaitop.depot.profitlossStatement.model.StorageProfitlossStatementExample;
import com.chinaitop.depot.utils.HistoryList;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface StorageProfitlossStatementMapper {
    int countByExample(StorageProfitlossStatementExample example);

    int deleteByExample(StorageProfitlossStatementExample example);

    int deleteByPrimaryKey(String id);

    int insert(StorageProfitlossStatement record);

    int insertSelective(StorageProfitlossStatement record);

    List<StorageProfitlossStatement> selectByExample(StorageProfitlossStatementExample example);

    StorageProfitlossStatement selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") StorageProfitlossStatement record, @Param("example") StorageProfitlossStatementExample example);

    int updateByExample(@Param("record") StorageProfitlossStatement record, @Param("example") StorageProfitlossStatementExample example);

    int updateByPrimaryKeySelective(StorageProfitlossStatement record);

    int updateByPrimaryKey(StorageProfitlossStatement record);

	List<Map<String, Object>> jsRksfzzData(Map<String, Object> map);

	List<Map<String, Object>> getCksl(Map<String, Object> map);

	List<Map<String, String>> getUserRole(Integer userId);

	List<Map<String, Object>> getProfitlossDatas(Map<String, Object> mapCondition);

}