package com.chinaitop.depot.profitlossStatement.service;

import java.util.List;
import java.util.Map;

import com.chinaitop.depot.profitlossStatement.model.StorageProfitlossStatement;
import com.chinaitop.depot.utils.HistoryList;

public interface StorageProfitlossStatementService {

	List<StorageProfitlossStatement> queryByExample(Integer pageNum, Integer pageSize,
			StorageProfitlossStatement storageProfitlossStatement);

	List<Map<String, Object>> jsRksfzzData(Map<String, Object> map);

	List<Map<String, Object>> getCksl(Map<String, Object> map);

	int add(StorageProfitlossStatement storageProfitlossStatement);

	int update(StorageProfitlossStatement storageProfitlossStatement);

	int remove(String id);

	StorageProfitlossStatement findById(String id);

	Map<String, Object> submit(StorageProfitlossStatement profitlossStatement,Integer userId,String userName,String orgName);

	List<Map<String, String>> getUserRole(Integer userId);

	List<HistoryList> getAudit(Map<String, Object> modelMap);

	Map<String, Object> audit(StorageProfitlossStatement storageProfitlossStatement, Integer userId, String realName, String auditResult,
			String content,String orgName);

	
	
}
