package com.chinaitop.depot.utils;

import org.mybatis.generator.api.MyBatisGenerator;
import org.mybatis.generator.config.Configuration;
import org.mybatis.generator.config.xml.ConfigurationParser;
import org.mybatis.generator.internal.DefaultShellCallback;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

public class GeneratorSqlmap {

	public void generator() throws Exception{

		List<String> warnings = new ArrayList<String>();
		boolean overwrite = true;
		//指定 逆向工程配置文件(写自己电脑的路径)
		File configFile = new File("D:\\eclipse_workspace\\work\\depot-tianjin\\depot-keeper-account-tianjin\\src\\main\\resources\\generatorConfig.xml");
		ConfigurationParser cp = new ConfigurationParser(warnings);
		Configuration config = cp.parseConfiguration(configFile);
		DefaultShellCallback callback = new DefaultShellCallback(overwrite);
		MyBatisGenerator myBatisGenerator = new MyBatisGenerator(config,
				callback, warnings);
		myBatisGenerator.generate(null);
		if (warnings.isEmpty()) {
			System.out.println("MyBatis文件生成成功！！");
		} else {
			System.err.println(warnings);
		}

	} 
	public static void main(String[] args) throws Exception {
		try {
			String a = System.getProperty("user.dir");
			System.out.println(a);
			GeneratorSqlmap generatorSqlmap = new GeneratorSqlmap();
			generatorSqlmap.generator();
			System.out.println("成功");
		} catch (Exception e) {
			e.printStackTrace();
		}
		
	}

}
